import numpy as np
import matplotlib.pyplot as plt

# Configuration du graphique
plt.xlabel("U (en V)")
plt.ylabel("I (en A)")
plt.title("Superposition des caractéristiques")
plt.grid()
# Configuration des axes
ax=plt.gca()
ax.spines['right'].set_color('none')            #pas d'axe à droite
ax.spines['top'].set_color('none')              #pas d'axe au-dessus
ax.spines['bottom'].set_position(('data',0))    #positionnement du 0 de l'axe des x     
ax.spines['left'].set_position(('data',0))      #positionnement du 0 de l'axe des y  

# Représentation de la caractéristique I=g(U) du panneau photovoltaique
U=np.array([...,...,...,...,...,...,...,...,...,...,...])  #U en V
I=np.array([...,...,...,...,...,...,...,...,...,...,...]) #I en A
plt.plot(U,I,color='blue',markersize=3,label="Panneau photovoltaïque")

# Représentation de la caractéristique I=g(U) de la résistance
U=np.array([0,10,20,30,40])
I=np.array([0,2,4,6,8])
plt.plot(U,I,color='red',markersize=3,label="Résistance")

# Affichage
plt.legend(loc='center right')
plt.show()
